### Function

# Qmi MessageFoxGetFirmwareVersionInput new

since: 1.32

#### Declaration [src]

    QmiMessageFoxGetFirmwareVersionInput*
    qmi_message_fox_get_firmware_version_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageFoxGetFirmwareVersionInput`.

Available since: 1.32

#### Return value

Type: `QmiMessageFoxGetFirmwareVersionInput`

The newly created `QmiMessageFoxGetFirmwareVersionInput`. The returned value should be freed with qmi_message_fox_get_firmware_version_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.